#ifndef WL_CREDITS_H
#define WL_CREDITS_H

#include "t3f/t3f.h"
#include "defines.h"

typedef struct
{
	
	char name[64];
	ALLEGRO_FONT * font;
	ALLEGRO_COLOR color;
	float y;
	
} WL_CREDIT;

typedef struct
{
	
	WL_CREDIT credit[WL_MAX_CREDITS];
	int credits;
	bool done;
	
	float y;
	
} WL_CREDITS;

void wl_credits_initialize(WL_CREDITS * cp, int mode);
void wl_credits_logic(WL_CREDITS * cp);
void wl_credits_render(WL_CREDITS * cp);

#endif
