#include "t3f/t3f.h"
#include "data.h"
#include "menu_proc.h"

ALLEGRO_USTR * wl_entered_text_ustr = NULL;
char wl_entered_text[256] = {0};
int wl_entering_text_pos = 0;
int wl_entering_text = 0;

bool wl_is_string_empty(void)
{
	int i;

	if(al_ustr_length(wl_entered_text_ustr) <= 2)
	{
		return true;
	}
	for(i = 0; i < (int)al_ustr_length(wl_entered_text_ustr); i++)
	{
		if(al_ustr_get(wl_entered_text_ustr, i) != ' ')
		{
			return false;
		}
	}
	return true;
}

void wl_enter_text(void)
{
	if(wl_entering_text)
	{
		char key = t3f_read_key(0);
		switch(key)
		{
			case '\r':
			{
				wl_menu_proc_play_new_ok(NULL, 0, NULL);
				break;
			}
			case '\b':
			case 127:
			{
				if(wl_entering_text_pos > 0)
				{
					al_ustr_remove_chr(wl_entered_text_ustr, wl_entering_text_pos - 1);
					wl_entering_text_pos--;
					al_ustr_to_buffer(wl_entered_text_ustr, wl_entered_text, 256);
				}
				break;
			}

			/* ignore these keys */
			case '\t':
			case '\0':
			{
				break;
			}

			/* type these keys */
			default:
			{
				if(wl_entering_text_pos < 18)
				{
					al_ustr_insert_chr(wl_entered_text_ustr, wl_entering_text_pos, key);
					wl_entering_text_pos++;
					al_ustr_to_buffer(wl_entered_text_ustr, wl_entered_text, 256);
				}
				break;
			}
		}
	}
}
