#ifndef WL_ACHIEVEMENTS_H
#define WL_ACHIEVEMENTS_H

#include "instance.h"

#define WL_ACHIEVEMENT_COUNT                18
#define WL_ACHIEVEMENT_A_GURU_OF_GURUS       0
#define WL_ACHIEVEMENT_CONSISTENTLY_WORDY    1
#define WL_ACHIEVEMENT_ENLIGHTENMENT         2
#define WL_ACHIEVEMENT_FOUL_MOUTH            3
#define WL_ACHIEVEMENT_GOOD_PUPIL            4
#define WL_ACHIEVEMENT_HUNDREDFOLD           5
#define WL_ACHIEVEMENT_LOSER                 6
#define WL_ACHIEVEMENT_NEAR_DEATH_VERBOSITY  7
#define WL_ACHIEVEMENT_PUZZLE_SOLVER         8
#define WL_ACHIEVEMENT_QUICKIE               9
#define WL_ACHIEVEMENT_RARE_WORD            10
#define WL_ACHIEVEMENT_SUPERCALIFRAGILISTIC 11
#define WL_ACHIEVEMENT_TAKING_IT_IN_STRIDE  12
#define WL_ACHIEVEMENT_TO_HEALTH            13
#define WL_ACHIEVEMENT_TRUE_ENLIGHTENMENT   14
#define WL_ACHIEVEMENT_WORDSMITH            15
#define WL_ACHIEVEMENT_TRANSCENDENCE        16
#define WL_ACHIEVEMENT_EPONYMOUS            17

#include "profile.h"

bool wl_set_up_achievements(WL_INSTANCE * instance);
void wl_achievements_logic(WL_PROFILE * profile, int award, void * data);

#endif
