#ifndef WL_PLAYLIST_H
#define WL_PLAYLIST_H

typedef struct
{

  int * entry;
  int max;
  int count;

} WL_PLAYLIST;

WL_PLAYLIST * wl_create_playlist(int max);
void wl_destroy_playlist(WL_PLAYLIST * pp);
bool wl_add_level_to_playlist(WL_PLAYLIST * pp, int level);
void wl_clear_playlist(WL_PLAYLIST * pp);
void wl_shuffle_playlist(WL_PLAYLIST * pp);

#endif
